package com.casic.missiles.service.system;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.system.SignAddRequest;
import com.casic.missiles.dto.system.SignDetailResponse;
import com.casic.missiles.dto.system.SignListRequest;
import com.casic.missiles.model.system.SystemSign;

import java.util.List;

/**
 * <p>
 * 系统管理-常用工具-签章/签名管理表 服务类
 * </p>
 *
 * @author wangpeng
 * @since 2022-12-01
 */
public interface ISystemSignService extends IService<SystemSign> {

    Page<SystemSign> listPage(Page<SystemSign> page, SignListRequest request);

    ReturnDTO addSign(SignAddRequest request);

    ReturnDTO updateSign(SystemSign systemSign);

    ReturnDTO deleteSign(Long id);

    ReturnDTO deleteBatchSign(List<Long> ids);

    List<SystemSign> usableSign();

    List<SystemSign> list(SignListRequest request);

    ReturnDTO<SignDetailResponse> signDetail(Long id);
}
